/// class PD.Web.UI.Controls.ViewGridCommands
/// using PD.Commands.CommandGroup

PD.Web.UI.Controls.ViewGridCommands =
PD.Commands.CommandGroup.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    registerCommands: function (e) {

        e.commands.add(new PD.Web.UI.Controls.ViewGridShowAnchorDialogCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridShowDesignColumnsDialogCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridShowDesignFiltersDialogCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridShowBoundsColumnsDialogCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridShowBoundsFiltersDialogCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridExportFormattedCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridExportUnformattedCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridRefreshCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridResetCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridUndoCommand());
        e.commands.add(new PD.Web.UI.Controls.ViewGridShowFindInResultsDialogCommand());

    }

});